summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorJeff Henson2015-08-18 17:30:11 -0500
committerJeff Henson2015-08-18 17:30:11 -0500
commit47889b73e5a7b8ce5c873139b6d2dbb0a8a1c71a (patch)
tree1bd7d5ad8aa258d7e9ddaa270f4ccbdf4a7470e2
downloadaur-47889b73e5a7b8ce5c873139b6d2dbb0a8a1c71a.tar.gz
Initial submission to new AUR.
-rw-r--r--.SRCINFO15
-rw-r--r--PKGBUILD30
2 files changed, 45 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..4953db79821
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,15 @@
+pkgbase = gstm
+ pkgdesc = Gnome front-end to ssh tunneling
+ pkgver = 1.2
+ pkgrel = 2
+ url = http://sourceforge.net/projects/gstm/
+ arch = i686
+ arch = x86_64
+ license = GPL
+ makedepends = intltool
+ depends = libgnomeui
+ source = http://downloads.sourceforge.net/sourceforge/gstm/gstm-1.2.tar.gz
+ md5sums = 7fa71b86969d8d695c3b062780a5694e
+
+pkgname = gstm
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..915db3434a7
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,30 @@
+# Maintainer: Jeff Henson <jeff at henson dot io>
+# Old Maintainer: cuihao <cuihao dot leo at gmail dot com>
+# Original PKGBUILD (community/gstm):
+# Contributor: Roman Kyrylych <Roman.Kyrylych@gmail.com>
+# Contributor: William Rea <sillywilly@gmail.com>
+# Contributor: Daniel J Griffiths <ghost1227@archlinux.us>
+
+pkgname=gstm
+pkgver=1.2
+pkgrel=2
+pkgdesc="Gnome front-end to ssh tunneling"
+arch=('i686' 'x86_64')
+url="http://sourceforge.net/projects/gstm/"
+license=('GPL')
+depends=('libgnomeui')
+makedepends=('intltool')
+source=(http://downloads.sourceforge.net/sourceforge/gstm/gstm-${pkgver}.tar.gz)
+md5sums=('7fa71b86969d8d695c3b062780a5694e')
+
+build() {
+ cd ${srcdir}/gstm-${pkgver}
+ sed -i "s/gstm_LDADD = /& -lxml2 -lX11 /" src/Makefile.in
+ ./configure --prefix=/usr
+ make || return 1
+}
+
+package() {
+ cd ${srcdir}/gstm-${pkgver}
+ make DESTDIR=${pkgdir} install
+}